#### Previous topic

scipy.stats.gaussian_kde.logpdf

#### Next topic

scipy.stats.gaussian_kde.set_bandwidth

# scipy.stats.gaussian_kde.resample

`gaussian_kde.``resample`(size=None)

  Randomly sample a dataset from the estimated pdf.

  Parameters:

  size : int, optional

  > The number of samples to draw. If not provided, then the size is the same as the underlying dataset.

  Returns:

  resample : (self.d, size) ndarray

  > The sampled dataset.